<template>
  <v-list expand nav class="pb-0">
    <VideoPlayerUtils class="mb-2" />

    <div v-for="(item, index) in menu" :key="index">
      <v-list-item
        :to="localePath(item.to)"
        class="cursor-pointer"
        active-class="warning system_white--text"
        :disabled="item.disabled ? true : false"
        :exact="item.to === '/dashboard' ? true : false"
      >
        <v-list-item-icon>
          <v-icon color="info_light" size="20"> {{ item.icon }} </v-icon>
        </v-list-item-icon>

        <v-list-item-title class="mb-0">
          <span
            class="body-2-signbank family-openSans-regular info_light--text"
          >
            {{ $t(item.title) }}
          </span>
        </v-list-item-title>

        <v-list-item-icon v-if="item.disabled">
          <v-icon color="info_light" size="20"> mdi-cancel </v-icon>
        </v-list-item-icon>
      </v-list-item>
    </div>

    <v-list-item class="cursor-pointer">
      <v-list-item-icon>
        <v-icon color="info_light" size="20"> mdi-exit-to-app </v-icon>
      </v-list-item-icon>
      <v-list-item-title class="mb-0">
        <span class="body-2-signbank family-openSans-regular info_light--text">
          {{ $t("auth.exit") }}
        </span>
      </v-list-item-title>
      <v-list-item-icon>
        <v-icon color="info_light" size="20"> mdi-cancel </v-icon>
      </v-list-item-icon>
    </v-list-item>
  </v-list>
</template>
<script>
import VideoPlayerUtils from "@/components/Utils/Videos/PlayerVideosUtils.vue";

export default {
  components: { VideoPlayerUtils },

  data() {
    return {
      menu: [
        // Overview
        {
          icon: "mdi-view-dashboard-outline",
          title: "categories.overview",
          to: "/dashboard",
          disabled: false,
        },

        // User
        {
          icon: "mdi-account-multiple-outline",
          title: "categories.users",
          to: "/dashboard/users",
          disabled: true,
        },

        // Signs
        {
          icon: "mdi-hand-wave-outline",
          title: "categories.signs",
          to: "/dashboard/signs",
          disabled: false,
        },

        // Categories signs
        {
          icon: "mdi-folder-outline",
          title: "categories.signs_categories",
          to: "/dashboard/category-signs",
          disabled: true,
        },

        // Explanatory videos
        {
          icon: "mdi-monitor-account",
          title: "categories.explanatory_video",
          to: "/dashboard/about",
          disabled: true,
        },

        // About
        {
          icon: "mdi-information-outline",
          title: "categories.about",
          to: "/dashboard/about",
          disabled: true,
        },

        // Contacts
        {
          icon: "mdi-email-outline",
          title: "categories.contact",
          to: "/dashboard/contacts",
          disabled: true,
        },

        // Terms User
        {
          icon: "mdi-text-box-outline",
          title: "categories.terms_of_user",
          to: "/dashboard/terms-of-use",
          disabled: true,
        },

        // Privacy Policy
        {
          icon: "mdi-shield-account-outline",
          title: "categories.privacy_policy",
          to: "/dashboard/privacy-policy",
          disabled: true,
        },

        // Idioma
        {
          icon: "mdi-text-recognition",
          title: "categories.language",
          to: "/dashboard/language",
          disabled: true,
        },
      ],
    };
  },
};
</script>
